﻿using System.Collections.Generic;
using System.Drawing;
using ThinkGeo.MapSuite.Core;

namespace ThinkGeo.MapSuite.DesktopEdition
{
    public class AnimationMarkerStyle : PointMarkerStyle
    {
        public Bitmap AnimationImage { get; set; }

        public override GeoCollection<Marker> GetMarkers(IEnumerable<Feature> features)
        {
            GeoCollection<Marker> returnMarkers = new GeoCollection<Marker>();
            foreach (Feature feature in features)
            {
                PointShape point = (PointShape)feature.GetShape();
                Marker marker = new AnimationMarker(point)
                {
                    Animation = AnimationImage,
                    Width = this.Width,
                    Height = this.Height,
                    XOffset = this.XOffset,
                    YOffset = this.YOffset
                };
                returnMarkers.Add(feature.Id, marker);
            }
            return returnMarkers;
        }
    }
}
